ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Vitaly Brodetskyi (JIRA)" <j...@apache.org>
Subject [jira] [Created] (AMBARI-8955) Upgrading to Ambari 1.6.1 with external postgres DB breaks Hive metastore startup
Date Tue, 30 Dec 2014 12:34:13 GMT
Vitaly Brodetskyi created AMBARI-8955:
-----------------------------------------

             Summary: Upgrading to Ambari 1.6.1 with external postgres DB breaks Hive metastore
startup
                 Key: AMBARI-8955
                 URL: https://issues.apache.org/jira/browse/AMBARI-8955
             Project: Ambari
          Issue Type: Bug
          Components: ambari-server
    Affects Versions: 1.6.1
            Reporter: Vitaly Brodetskyi
            Assignee: Vitaly Brodetskyi
             Fix For: 2.0.0


PROBLEM:

When upgrading from 1.6.0 -> 1.6.1 and an external database is used for the Hive metastore,
Hive metastore fails to start because schematool fails.  The output is as follows:

{code}
 File "/usr/lib/python2.6/site-packages/resource_management/core/providers/system.py", line
239, in action_run
    raise ex
Fail: Execution of 'export HIVE_CONF_DIR=/etc/hive/conf.server ; /usr/lib/hive/bin/schematool
-initSchema -dbType postgresql -userName hive -passWord [PROTECTED]' returned 1. Unsupported
dbType postgresql
usage: schemaTool
{code}




--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message